Package org.kie.api.definition.process

## Enum NodeType

- java.lang.Object
- - java.lang.Enum<NodeType>
  - - org.kie.api.definition.process.NodeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NodeType>`

      public enum NodeType
      extends java.lang.Enum<NodeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AD_HOC_SUBPROCESS` |
    `BOUNDARY_EVENT` |
    `BUSINESS_RULE` |
    `CATCH_EVENT` |
    `CATCH_LINK` |
    `COMPLEX_GATEWAY` |
    `CONDITIONAL` |
    `END` |
    `EVENT_BASED_GATEWAY` |
    `EVENT_SUBPROCESS` |
    `EXCLUSIVE_GATEWAY` |
    `FAULT` |
    `FOR_EACH` |
    `HUMAN_TASK` |
    `INCLUSIVE_GATEWAY` |
    `INTERNAL` |
    `MILESTONE` |
    `PARALLEL_GATEWAY` |
    `SCRIPT_TASK` |
    `START` |
    `SUBPROCESS` |
    `THROW_EVENT` |
    `THROW_LINK` |
    `TIMER` |
    `WORKITEM_TASK` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NodeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SCRIPT_TASK

          public static final NodeType SCRIPT_TASK

    - #### HUMAN_TASK

          public static final NodeType HUMAN_TASK

    - #### WORKITEM_TASK

          public static final NodeType WORKITEM_TASK

    - #### MILESTONE

          public static final NodeType MILESTONE

    - #### THROW_EVENT

          public static final NodeType THROW_EVENT

    - #### CATCH_EVENT

          public static final NodeType CATCH_EVENT

    - #### BOUNDARY_EVENT

          public static final NodeType BOUNDARY_EVENT

    - #### AD_HOC_SUBPROCESS

          public static final NodeType AD_HOC_SUBPROCESS

    - #### EVENT_SUBPROCESS

          public static final NodeType EVENT_SUBPROCESS

    - #### SUBPROCESS

          public static final NodeType SUBPROCESS

    - #### COMPLEX_GATEWAY

          public static final NodeType COMPLEX_GATEWAY

    - #### PARALLEL_GATEWAY

          public static final NodeType PARALLEL_GATEWAY

    - #### INCLUSIVE_GATEWAY

          public static final NodeType INCLUSIVE_GATEWAY

    - #### EXCLUSIVE_GATEWAY

          public static final NodeType EXCLUSIVE_GATEWAY

    - #### EVENT_BASED_GATEWAY

          public static final NodeType EVENT_BASED_GATEWAY

    - #### START

          public static final NodeType START

    - #### END

          public static final NodeType END

    - #### CONDITIONAL

          public static final NodeType CONDITIONAL

    - #### FOR_EACH

          public static final NodeType FOR_EACH

    - #### CATCH_LINK

          public static final NodeType CATCH_LINK

    - #### THROW_LINK

          public static final NodeType THROW_LINK

    - #### FAULT

          public static final NodeType FAULT

    - #### TIMER

          public static final NodeType TIMER

    - #### BUSINESS_RULE

          public static final NodeType BUSINESS_RULE

    - #### INTERNAL

          public static final NodeType INTERNAL

  - ### Method Detail

    - #### values

          public static NodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeType c : NodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null